Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.core.util
Class ExtensionParser<ELEMENT extends InternalRegistryElement>

    java.lang.Object
      org.eclipse.net4j.util.event.Notifier
          org.eclipse.net4j.util.lifecycle.Lifecycle
              org.eclipse.emf.ecp.internal.core.util.ExtensionParser<ELEMENT>

Type Parameters:
  `ELEMENT` -

All Implemented Interfaces:
  EventListener, org.eclipse.core.runtime.IRegistryChangeListener, org.eclipse.net4j.util.event.INotifier, org.eclipse.net4j.util.lifecycle.ILifecycle, org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation

    public abstract class ExtensionParser<ELEMENT extends InternalRegistryElement>

extends org.eclipse.net4j.util.lifecycle.Lifecycle
implements org.eclipse.core.runtime.IRegistryChangeListener

Author:
  Eike Stepper

Nested Class Summary
`static class` | `ExtensionParser.ExtensionDescriptor<ELEMENT extends InternalRegistryElement>`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle
`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

Field Summary

Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle
`USE_LABEL`

Constructor Summary
`ExtensionParser(ElementRegistry<ELEMENT,?> elementRegistry, String namespace, String name)`

Method Summary
`ElementRegistry<ELEMENT,?>` | `getElementRegistry()`
`String` | `getName()`
`String` | `getNamespace()`
`void` | `registryChanged(org.eclipse.core.runtime.IRegistryChangeEvent event)`

Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle
`activate, deactivate, getLifecycleState, isActive, isDeferredActivation, toString`

Methods inherited from class org.eclipse.net4j.util.event.Notifier
`addListener, fireEvent, fireEvent, fireEvent, getListeners, hasListeners, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, getListeners, hasListeners, removeListener`

Constructor Detail

### ExtensionParser

    public ExtensionParser(ElementRegistry<ELEMENT,?> elementRegistry,
                           String namespace,
                           String name)

Method Detail

### getElementRegistry

    public final ElementRegistry<ELEMENT,?> getElementRegistry()

### getNamespace

    public final String getNamespace()

### getName

    public final String getName()

### registryChanged

    public void registryChanged(org.eclipse.core.runtime.IRegistryChangeEvent event)

  Specified by:
    `registryChanged` in interface `org.eclipse.core.runtime.IRegistryChangeListener`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.